Endpoint Groups
Catalog Registrations
Catalog Registrations operations within the Catalogs API group.
List catalog registrationsGET
/catalog-registrations
Lists registered catalogs and returns a paginated catalog registration view for management clients.
Operation ID
listCatalogsQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Register catalogPOST
/catalog-registrations
Operation ID
registerCatalogRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Get catalog registrationGET
/catalog-registrations/{catalogName}
Operation ID
getCatalogRegistrationPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
catalogName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Update catalog registrationPATCH
/catalog-registrations/{catalogName}
Operation ID
updateCatalogRegistrationPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
catalogName |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Delete catalog registrationDELETE
/catalog-registrations/{catalogName}
Operation ID
deleteCatalogRegistrationPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
catalogName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |